Subject: bug#65518: 30.0.50; [FR Eglot] Completions over all workspace symbols

From: Dmitry Gutov <[email-masked]>
Date: Mon, 28 Aug 2023 03:19:05 +0300

On 25/08/2023 12:22, João Távora wrote:
> You'll see Eglot sends the widest possible 'query' to the LSP server
> which returns a limited number of names (clangd caps at exactly 100 by
> default).

Perhaps it's worth documenting how this value could be increased 
(argument --limit-results=, apparently).

Unfortunately, it's currently shared with code completion (proposal to 
change that here: https://github.com/clangd/clangd/discussions/761), so 
raising it too much could made code completion jerkier.